//  (C) 2013-2014 Roger Villemaire <villemaire.roger@uqam.ca>

package transport;

public class Chauffeur {
    protected /*@ spec_public @*/ int age;
    protected /*@ spec_public @*/ Camion camion;
    
    public Chauffeur() {
	age = 0;
    }
    
    public /*@ pure @*/ int getAge() {
        return this.age;
    }

    public /*@ pure @*/ Camion getCamion() {
        return this.camion;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public void setCamion(Camion camion) {
        this.camion = camion;
    }

    public void conduit(Camion c){
        // S'assure que *this* conduit 'c' et que 'c' est conduit *this*.
        c.setChauffeur(this);
        camion = c;
    }

}
